# NewsBlaster2000

Sends out newsletters

## Instructions

**Run the program with no parameters to generate a config file and to print these instructions**

1. Create an audience file
    * Name it whatever you want.
    * The file should be a list of email addresses. One email per line.

2. Create an email file
    * Name it whatever you want.
    * The first line of the file will be used as {{ subject }} in the postmark template.
    * The second line of the file, if not empty, will be used as {{ subtitle }} in the postmark template.
    * After a blank line, the rest of the file will be used as {{{ content_body }}}.
    * Newlines between the subject and body will be removed.

3. Do a test run
    * go run . test [email filename]
    * You must send the test email before blasting it to everyone.
    * If you modify the email file after testing, you must test again. Otherwise NewsBlaster2000 will complain.

4. Start blasting
    * go run . blast [audience file] [email file]
    * Will batch send using the Postmark batch API.
    * Will produce a .track file that will list all email addresses that we attempted to send to.
    * In case of error, you can blast again. All emails listed in the .track file will be skipped.
    * Will produce a .log file with information received back from Postmark.
